Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000634Core InformSpacing and printingpublic2011-04-01 00:102014-05-07 07:33
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000634: "list the contents of" ignores ISARE option when contents are nothing
DescriptionThe following code produces "On the crate nothing" rather than "On the crate is nothing"

Minimal Source Text To Reproduce
Bob is a man. The place is a room.  A crate is a supporter, here.

When play begins:
	now the noun is the crate;
	say "On [the noun] ";
	list the contents of noun, as a sentence, tersely, not listing concealed items, prefacing with is/are;
	
say ".";
	now Bob is on the crate;
	say "On [the noun] ";
	list the contents of noun, as a sentence, tersely, not listing concealed items, prefacing with is/are;
	
say ".";
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001121)
Ron Newcomb (reporter)
2011-04-01 00:12

same bugged behavior if the crate is a container & nothing is in it.
(0002460)
graham (administrator)
2014-02-09 09:00

Fixed.

- Issue History
Date Modified Username Field Change
2011-04-01 00:10 Ron Newcomb New Issue
2011-04-01 00:12 Ron Newcomb Note Added: 0001121
2011-04-07 09:49 EmacsUser Status new => confirmed
2014-02-09 08:54 graham Category Phrases and functional programming => Spacing and printing
2014-02-09 09:00 graham Note Added: 0002460
2014-02-09 09:00 graham Status confirmed => resolved
2014-02-09 09:00 graham Resolution open => fixed
2014-02-09 09:00 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker